/* Copyright (C) 2024-2025 LibreWeddingPlanner contributors*/

import { data } from "autoprefixer";
import { getCsrfToken } from "../lib/utils";

export function getCaptchaChallenge({onRetrieve}: {onRetrieve: (id: string, url: string) => void}){
  return fetch('/api/captcha', {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'X-CSRF-TOKEN': getCsrfToken(),
    }
  })
    .then((response) => response.json())
    .then((data: any) => {
      onRetrieve(data.id, data.media_url)
    })
    .catch((error) => console.error(error));
}